Quassel IRC - Feature #645

Term "Buffer" is not user friendly - suggest to change to Discussions
Description

Term "buffer" is very technical and very generic. It's use is so vague in computer speak that it basically describes nothing.

To make Quassel more user friendly and self-explaining | suggest dropping this term in the end user interface. Renaming "Buffer
view" etc. to Discussion views would make the user interface more self-explaining to the end user. Now when you teach using
Quassel to someone first you need to explain that "buffers" are actually discussions like channels and private messages and server
status windows.

Of course, this coflicts with "server status window" which are not actual discussions, but | think this is compromise is worth of making
Quassel more user friendly.

History

#1 - 03/30/2009 12:57 PM - tktn

miohtama wrote:
Term "buffer" is very technical and very generic. It's use is so vague in computer speak that it basically describes nothing.
To make Quassel more user friendly and self-explaining | suggest dropping this term in the end user interface. Renaming "Buffer view" etc. to
Discussion views would make the user interface more self-explaining to the end user. Now when you teach using Quassel to someone first you
need to explain that "buffers" are actually discussions like channels and private messages and server status windows.
Of course, this coflicts with "server status window" which are not actual discussions, but | think this is compromise is worth of making Quassel
more user friendly.

| think that buffer should be renamed, but not to discussion, because in some instances it could be misleading.

| reject your terminology and substitute my own.

| prefer the term thread.

#2 - 03/30/2009 02:46 PM - miohtama

Very good idea! +1 for thread. People are familiar with this term from BBSes.
#3 - 03/30/2009 03:33 PM - Daisuke_ldo
miohtama wrote:
Very good idea! +1 for thread. People are familiar with this term from BBSes.

Except IRC is not a threaded discussion, nor is it a BBS. While buffers may not be perfect, discussion is slightly better. Thread is a poor choice as it
implies that IRC is something that it is not.

#4 - 05/26/2009 04:49 AM - Daegalus

How bout "Rooms" or "Lounges". Something more casual. Though Discussion is better than buffer.

#5 - 02/29/2012 06:03 PM - Anonymous
- Category changed from Quassel Client to General / Unspecified
- Assignee set to Anonymous

- Priority changed from Normal to Low

04/27/2024 1/2




It has been decided that buffers should be named Chats, but the source strings don't always use the proper name. i'll be going through everything to
settle this once and for all.

#6 - 10/11/2013 11:18 AM - Anonymous

- Assignee deleted (Anonymous)
